#include <Bluetooth app inventor sensores.h>

#FUSES NOMCLR

#use rs232(baud=38400, stop=1, parity=N, xmit=PIN_C6, rcv=PIN_C7, bits=8)

void main()
{
   setup_adc(ADC_CLOCK_INTERNAL);
 
   int16 POT1=0;     //variable para guardar el valor actual
   int16 POT2=0;

   int16 pasPOT1=0; //variable para guardar el valor pasado
   int16 pasPOT2=0;
    
    
   while(TRUE)
   {

      set_adc_channel (0);//Lectura Vout del potenciometro en PIN AN0
      delay_ms(10);
      POT1 = read_adc();// lectura del valor
            
      if (pasPOT1 != POT1)
      {
         printf("POT1%04lu\r",POT1);
         pasPOT1 = POT1;
      }
      
      delay_ms(100);
      
      set_adc_channel (1);//lectura Vout del potenciometro en PIN AN1
      delay_ms(10);
      POT2 = read_adc();// lectura del valor
      
      if (pasPOT2 != POT2)
      {
         printf("POT2%04lu\r",POT2);
         pasPOT2 = POT2;
      }
      
      delay_ms(100);       
      
      //TODO: User Code
   }

}
